<?php

namespace Lc\PietroBundle\Controller\Territory;

use Lc\PietroBundle\Container\Territory\TerritoryContainer;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\PietroBundle\Controller\AbstractAdminController;

abstract class TerritoryAdminController extends AbstractAdminController
{
    public function createEntity(string $entityFqcn)
    {
        return $this->getTerritoryContainer()->getFactory()->create();
    }

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('devAlias'),
            TextField::new('name'),
        ];
    }
}
