<?php

namespace Lc\PietroBundle\Controller\Thematic;

use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\PietroBundle\Controller\AbstractAdminController;

abstract class ThematicAdminController extends AbstractAdminController
{
    public function createEntity(string $entityFqcn)
    {
        return $this->getThematicContainer()->getFactory()->create();
    }

    public function configureFields(string $pageName): iterable
    {
        return [
            TextField::new('name')
        ];
    }

}
